> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Push to Card Status

> Get the final status of a Push to Card by ID



## OpenAPI

````yaml GET /payments/card/{transaction_id}
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /payments/card/{transaction_id}:
    get:
      tags:
        - Payments
      summary: GET Push to Card Status
      description: Get the final status of a Push to Card by ID
      operationId: getPushToCardStatus
      parameters:
        - name: transaction_id
          in: path
          description: Transaction Identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Push2CardResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    Push2CardResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Push2CardData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    Push2CardData:
      type: object
      properties:
        amount:
          type: number
        card_number:
          type: string
        description:
          type: string
        transaction_date:
          type: string
          example: '2023-10-01T12:34:56Z'
        transaction_id:
          type: string
          example: txn_12345
        transaction_status:
          type: string
          enum:
            - processing
            - successful
            - failed
          description: Status of the transaction

````